
Redmine - Patch #30994

Refactor custom field css classes

2019-03-07 22:09 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Description

We should move the logic to generate the css classes for a custom field to a method in order to make the code cleaner and easy to

maintain.

The attach patch must be applied on top of #30985.

Related issues:

Related to Redmine - Feature #30985: Add CSS class to user custom fields Closed

Related to Redmine - Feature #30977: Add CSS class to project custom fields Closed

Associated revisions

Revision 17937 - 2019-03-09 16:38 - Go MAEDA

Move custom field classes to a method (#30994).

Patch by Marius BALTEANU.

History

#1 - 2019-03-07 22:10 - Marius BĂLTEANU

- Related to Feature #30985: Add CSS class to user custom fields added

#2 - 2019-03-07 22:10 - Marius BĂLTEANU

- Related to Feature #30977: Add CSS class to project custom fields added

#3 - 2019-03-08 00:11 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#4 - 2019-03-09 16:38 - Go MAEDA

- Status changed from New to Closed

Committed. Thank you.

Files

0001-Move-custom-field-classes-to-a-method.patch 4.52 KB 2019-03-07 Marius BĂLTEANU
